Bug 167821 - editors/zim: update to 0.56
Summary: editors/zim: update to 0.56
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-12 11:50 UTC by Ruslan Makhmatkhanov
Modified: 2012-05-22 08:07 UTC (History)
0 users

See Also:


Attachments
file.txt (4.71 KB, text/plain)
2012-05-12 11:50 UTC, Ruslan Makhmatkhanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ruslan Makhmatkhanov freebsd_committer 2012-05-12 11:50:11 UTC
- update to 0.56
- change USE_PYTHON range to just -2.7 (all < 2.6 is EOL)
- add options for GIT, MERCURIAL and DITAA (default off)
- change inclusion of bsd.port.pre.mk with bsd.port.options.mk
- drop extra simplejson dependency for python < 2.6

changelog:
=== 0.56 - Mon  2 Apr 2012 ===
* Merged support for Git and Mercurial version control backends -
  Damien Accorsi & John Drinkwater
* Merged plugin for "ditaa" diagrams - YPWang
* Merged patch for different configuration profiles, allowing per
  notebook configuration of plugins, font etc. - Mariano Draghi
* Added drag & drop support for the Attachment Browser plugin
* Made sidepane and tagcloud remember state
* Fixed critical bug for opening email adresses without "mailto:" prefix
* Fixed bug where context menu for page index applied to the current page
  instead of the selected page
* Added a Serbian translation

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2012-05-12 11:50:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2012-05-22 07:38:48 UTC
rm          2012-05-22 06:38:34 UTC

  FreeBSD ports repository

  Modified files:
    editors/zim          Makefile distinfo pkg-plist 
  Log:
  - update to 0.56
  - change USE_PYTHON range to just -2.7 (all < 2.6 is EOL)
  - add options for GIT, MERCURIAL and DITAA (default off)
  - change inclusion of bsd.port.pre.mk with bsd.port.options.mk
  - drop extra simplejson dependency for python < 2.6
  
  changelog:
  === 0.56 - Mon 2 Apr 2012 ===
  * Merged support for Git and Mercurial version control backends -
    Damien Accorsi & John Drinkwater
  * Merged plugin for "ditaa" diagrams - YPWang
  * Merged patch for different configuration profiles, allowing per
    notebook configuration of plugins, font etc. - Mariano Draghi
  * Added drag & drop support for the Attachment Browser plugin
  * Made sidepane and tagcloud remember state
  * Fixed critical bug for opening email adresses without "mailto:" prefix
  * Fixed bug where context menu for page index applied to the current page
    instead of the selected page
  * Added a Serbian translation
  
  PR:             167821
  Submitted by:   rm (myself)
  Approved by:    acm (maintainer, via mail)
  
  Revision  Changes    Path
  1.26      +16 -8     ports/editors/zim/Makefile
  1.15      +2 -2      ports/editors/zim/distinfo
  1.17      +14 -0     ports/editors/zim/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-05-22 08:07:02 UTC
State Changed
From-To: open->closed

Committed, thank you!